Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 597184 - app-office/texmacs should carry GUILE_LOAD_PATH hacks instead of dev-scheme/guile and global environment
Summary: app-office/texmacs should carry GUILE_LOAD_PATH hacks instead of dev-scheme/g...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrey Grozin
URL:
Whiteboard:
Keywords:
Depends on: 436400
Blocks:
  Show dependency tree
 
Reported: 2016-10-15 11:29 UTC by Pacho Ramos
Modified: 2016-12-05 08:35 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2016-10-15 11:29:58 UTC
Carrying this in guile ebuilds can cause breakages like bug 590536:
        # texmacs needs this, closing bug #23493
        dodir /etc/env.d
        echo "GUILE_LOAD_PATH=\"${EPREFIX}/usr/share/guile/${MAJOR}\"" > "${ED}"/etc/env.d/50guile || die


And, since we are the only downstream polluting the global environment in that way, we are alone hitting that random bugs it can cause

What I see in Fedora is that this hacks that are needed only by texmacs are only used for that package at build time and vars are not polluted for all:
http://pkgs.fedoraproject.org/cgit/rpms/TeXmacs.git/tree/TeXmacs.spec
%install
make DESTDIR=$RPM_BUILD_ROOT install STRIP=/bin/true
export GUILE_DATA_PATH=%(guile1.8-config info pkgdatadir)
export GUILE_LOAD_PATH=$GUILE_DATA_PATH/%(guile1.8-config info guileversion | cut -f 1 -d ".").%(guile1.8-config info guileversion | cut -f 2 -d ".")/ice-9
cp -r -f $GUILE_LOAD_PATH $RPM_BUILD_ROOT%{_datadir}/TeXmacs/progs
chmod -f 755 $RPM_BUILD_ROOT%{_datadir}/TeXmacs/progs/ice-9

Thanks
Comment 1 Gilles Dartiguelongue gentoo-dev 2016-10-15 16:19:33 UTC
Just saying here so it is not lost in the noise of bug #590536, this hack was present in lisp overlay and caused no harm to gnucash.
Comment 2 Gilles Dartiguelongue gentoo-dev 2016-10-15 16:24:13 UTC
Err, scratch that I was reading the wrong diff.
Comment 3 Pacho Ramos gentoo-dev 2016-12-04 11:58:41 UTC
texmacs is not even compatible with guile-2 (it will likely need to use the future 1.8 slot for the two reverse deps that are still needing the old version), hence, we could drop the hack from guile-2 ebuilds finally (that would solve bug 590536 too as gnucash is using guile-2)
Comment 4 Pacho Ramos gentoo-dev 2016-12-04 12:05:51 UTC
[master 547a917] dev-scheme/guile: Drop texmacs hack from guile-2 as it's not wanted (and neither needed for guile2 as texmacs is not using it), see bug #597184
 1 file changed, 77 insertions(+)
 create mode 100644 dev-scheme/guile/guile-2.0.13-r1.ebuild
Comment 5 Amy Liffey gentoo-dev 2016-12-04 14:10:10 UTC
Then I suppose this bug can be closed?
Comment 6 Pacho Ramos gentoo-dev 2016-12-05 08:35:51 UTC
No, texmacs still need to carry the hack itself instead of guile-1.8 ebuilds (or guile-2 if it starts to be compatible with guile-2 in a far future)